#!/bin/sh

# Smoke test for linking a very simple binary to libcroesor

# Copyright © 2016 Collabora Ltd.
#
# SPDX-License-Identifier: MPL-2.0
# This Source Code Form is subject to the terms of the Mozilla Public
# License, v. 2.0. If a copy of the MPL was not distributed with this
# file, You can obtain one at http://mozilla.org/MPL/2.0/.

set -e
exec 2>&1
set -x

echo "1..1"

cd "$ADTTMP"

cat > use-lib.c <<'EOF'
#include <glib.h>

#include <libcroesor/croesor.h>

int main (void)
{
  g_type_ensure (csr_vehicle_manager_get_type ());
  g_print ("It worked!\n");
  return 0;
}
EOF

cc -o use-lib use-lib.c $(pkg-config --cflags --libs libcroesor-0)
test -x use-lib
./use-lib
echo "ok 1"
